# GET /mempool/txids

Get the full list of txids in the mempool as an array.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

None.

## Returns

Get the full list of txids in the mempool as an array.

The order of the txids is arbitrary and does not match bitcoind's.

{% code overflow="wrap" %}

```json
[
	"617674cadef9cccf7991b07f0eb35cefaf5768ef2cce94d5121995e59f0087bb",
	"c6af6b0dfc3fb89bf61f9e0c96c246ed25394856146d07fa76af289f4f98a999",
	"f8df8e201ea9d91edfe15459aec8ff83ceb4b208d8c6ceabe968a809e8b790b6",
	"f263b04e57404ad26046e5696d593a6f77d66ea71844a20601391cda78db122e",
	"5e76d2c529e8fe506046c9061aef30a779ceb319f5668ff31e3aba07f9a3ea68",
	"4caa12f397c218f40d7e1ec544701477efbd7d4807240408d8c3b42cb5e0184d",
	"5994a35644c8a033bb479683ed455ff373e11e1cc370b862a98a60447e092225",
	"43e7df3908f2aa1f475e7c212bee001369b7c38ba9b6ef8e726218d67c7641ee",
	...
]
```

{% endcode %}

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/mempool/txids \
 -X GET
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/mempool/txids \
 -X GET
```

{% endtab %}
{% endtabs %}
